org.keycloak.dom.saml.v2.metadata

## Class AttributeAuthorityDescriptorType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes
  - - org.keycloak.dom.saml.v2.metadata.RoleDescriptorType
    - - org.keycloak.dom.saml.v2.metadata.AttributeAuthorityDescriptorType

-     public class AttributeAuthorityDescriptorType
      extends RoleDescriptorType

  Java class for AttributeAuthorityDescriptorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AttributeAuthorityDescriptorType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:metadata}RoleDescriptorType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}AttributeService" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}AssertionIDRequestService" maxOccurs="unbounded"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}NameIDFormat" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}AttributeProfile" maxOccurs="unbounded"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Attribute" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<EndpointType>` | `assertionIDRequestService`
    `protected List<AttributeType>` | `attribute`
    `protected List<String>` | `attributeProfile`
    `protected List<EndpointType>` | `attributeService`
    `protected List<String>` | `nameIDFormat`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.RoleDescriptorType

      `cacheDuration, contactPerson, errorURL, extensions, id, keyDescriptor, organization, protocolSupportEnumeration, signature, validUntil`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `otherAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeAuthorityDescriptorType(List<String> protocolSupport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAssertionIDRequestService(EndpointType endpoint)` Add an assertion id request service
    `void` | `addAttribute(AttributeType attribute)` Add an attribute
    `void` | `addAttributeProfile(String str)` Add an attribute profile
    `void` | `addAttributeService(EndpointType endpoint)` Add an attribute service
    `void` | `addNameIDFormat(String str)` Add a name id
    `List<EndpointType>` | `getAssertionIDRequestService()` Gets the value of the assertionIDRequestService property.
    `List<AttributeType>` | `getAttribute()` Gets the value of the attribute property.
    `List<String>` | `getAttributeProfile()` Gets the value of the attributeProfile property.
    `List<EndpointType>` | `getAttributeService()` Gets the value of the attributeService property.
    `List<String>` | `getNameIDFormat()` Gets the value of the nameIDFormat property.
    `void` | `removeAssertionIDRequestService(EndpointType endpoint)` Remove assertion id request service
    `void` | `removeAttribute(AttributeType attribute)` Remove attribute
    `void` | `removeAttributeProfile(String str)` Remove attribute profile
    `void` | `removeAttributeService(EndpointType endpoint)` Remove an attribute service
    `void` | `removeNameIDFormat(String str)` Remove Name ID

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.RoleDescriptorType

      `addContactPerson, addKeyDescriptor, getCacheDuration, getContactPerson, getErrorURL, getExtensions, getID, getKeyDescriptor, getOrganization, getProtocolSupportEnumeration, getSignature, getValidUntil, removeContactPerson, removeKeyDescriptor, setCacheDuration, setErrorURL, setExtensions, setID, setOrganization, setSignature, setValidUntil`

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `addOtherAttribute, getOtherAttributes, removeOtherAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attributeService

          protected List<EndpointType> attributeService

    - #### assertionIDRequestService

          protected List<EndpointType> assertionIDRequestService

    - #### nameIDFormat

          protected List<String> nameIDFormat

    - #### attributeProfile

          protected List<String> attributeProfile

    - #### attribute

          protected List<AttributeType> attribute

  - ### Constructor Detail

    - #### AttributeAuthorityDescriptorType

          public AttributeAuthorityDescriptorType(List<String> protocolSupport)

  - ### Method Detail

    - #### addAttributeService

          public void addAttributeService(EndpointType endpoint)

      Add an attribute service
      Parameters:
        `endpoint` -

    - #### addAssertionIDRequestService

          public void addAssertionIDRequestService(EndpointType endpoint)

      Add an assertion id request service
      Parameters:
        `endpoint` -

    - #### addNameIDFormat

          public void addNameIDFormat(String str)

      Add a name id
      Parameters:
        `str` -

    - #### addAttributeProfile

          public void addAttributeProfile(String str)

      Add an attribute profile
      Parameters:
        `str` -

    - #### addAttribute

          public void addAttribute(AttributeType attribute)

      Add an attribute
      Parameters:
        `attribute` -

    - #### removeAttributeService

          public void removeAttributeService(EndpointType endpoint)

      Remove an attribute service
      Parameters:
        `endpoint` -

    - #### removeAssertionIDRequestService

          public void removeAssertionIDRequestService(EndpointType endpoint)

      Remove assertion id request service
      Parameters:
        `endpoint` -

    - #### removeNameIDFormat

          public void removeNameIDFormat(String str)

      Remove Name ID
      Parameters:
        `str` -

    - #### removeAttributeProfile

          public void removeAttributeProfile(String str)

      Remove attribute profile
      Parameters:
        `str` -

    - #### removeAttribute

          public void removeAttribute(AttributeType attribute)

      Remove attribute
      Parameters:
        `attribute` -

    - #### getAttributeService

          public List<EndpointType> getAttributeService()

      Gets the value of the attributeService property.

      Objects of the following type(s) are allowed in the list `EndpointType`

    - #### getAssertionIDRequestService

          public List<EndpointType> getAssertionIDRequestService()

      Gets the value of the assertionIDRequestService property.

      Objects of the following type(s) are allowed in the list `EndpointType`

    - #### getNameIDFormat

          public List<String> getNameIDFormat()

      Gets the value of the nameIDFormat property.

      Objects of the following type(s) are allowed in the list `String`

    - #### getAttributeProfile

          public List<String> getAttributeProfile()

      Gets the value of the attributeProfile property.

      Objects of the following type(s) are allowed in the list `String`

    - #### getAttribute

          public List<AttributeType> getAttribute()

      Gets the value of the attribute property.

      Objects of the following type(s) are allowed in the list `AttributeType`

Copyright © 2016 JBoss by Red Hat. All rights reserved.